package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.entity.ProjectTeamInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.entity.UserInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/13 10:25
 */
public interface ProjectTeamService {

    ResMsg findProjectTeamAll(Integer pageIndex, Integer pageSize, ProjectTeamInfoEntity projectTeamInfoEntity);

    ResMsg findProjectTeamUser(Integer pageIndex, Integer pageSize, Integer projectTeamId);

    boolean deleteBatch(List<ProjectTeamInfoEntity> projectTeamInfoVos);

    ResMsg updateProjectTeam(ProjectTeamInfoEntity projectTeamInfoEntity);

    boolean deleteBatchUser(List<UserInfoEntity> userInfoEntities);

    ResMsg addUser(UserInfoEntity userInfoEntity);

    ResMsg updateUser(UserInfoEntity userInfoEntity);

    ResMsg findById(String userId);

    ResMsg findPrincipal();

    ResMsg findTeamUser(ProjectTeamInfoEntity projectTeamInfoEntity);

    ResMsg addProjectTeam(ProjectTeamInfoEntity projectTeamInfoEntity, List<Long> userIds);

    ResMsg addProjectTeamUser(ProjectTeamInfoEntity projectTeamInfoEntity, List<Long> userIds);

    ResMsg removeUser(ProjectTeamInfoEntity projectTeamInfoEntity, List<Long> userIds);

    ResMsg findUserProject(String userId);
}
